Bug 1422676 - [Test Only] Test Ansible playbook for registration
Summary: [Test Only] Test Ansible playbook for registration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhev-hypervisor-ng
Version: 4.1.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ovirt-4.2.0
: ---
Assignee: Douglas Schilling Landgraf
QA Contact: cshao
URL:
Whiteboard:
Depends On:
Blocks: 1446167
TreeView+ depends on / blocked
 
Reported: 2017-02-15 20:32 UTC by Douglas Schilling Landgraf
Modified: 2019-05-16 13:09 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
: 1446167 (view as bug list)
Environment:
Last Closed: 2018-05-15 17:57:40 UTC
oVirt Team: Node
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1524 0 None None None 2018-05-15 17:58:49 UTC

Description Douglas Schilling Landgraf 2017-02-15 20:32:51 UTC
Description of problem:

Users might want to register multiple hosts via ansible, we must test and document it.

How reproducible:

Requires on the machine that will trigger the registration:
  - Ansible 2.3
  - ovirt-engine-sdk-python version 4 or higher

To work with hosts via ansible it's required version 2.3 (currently in devel tree)

Steps to Reproduce:
1. Install RHVH (Requires set root password and network so ansible can access)

   Example of kickstart: 
      https://github.com/dougsland/misc-ovirt/blob/master/ansible/kickstart-autoinstall-ovirt-node-ng.ks
  
2. Example of ansible files are available here:
      https://github.com/dougsland/misc-ovirt/blob/master/ansible/vars.yml
      https://github.com/dougsland/misc-ovirt/blob/master/ansible/register-hosts.yml

   - Download both files, change the files with proper credentials.
   - Register the hosts
     $ ansible-playbook register-hosts.yml 

In case needed, there is README file here:
https://github.com/dougsland/misc-ovirt/tree/master/ansible

Comment 2 Ying Cui 2017-02-20 06:35:42 UTC
Moving this bug to MODIFIED status because it is set to ovirt-4.2-0, no build yet for 4.2.

Comment 3 Sandro Bonazzola 2017-02-21 09:22:04 UTC
Ansible 2.3 should become available in 4.1.1

Comment 4 dguo 2017-02-23 09:36:18 UTC
Douglas,

We need to clarify that whether the ansible 2.3 package will be build into rhvh4.1.1 from comment 3?

Besides, we wonder the customer's use scenario, ansible-playbook in  https://github.com/dougsland/misc-ovirt/blob/master/ansible/ will be documented  to customer, or we QE just test this ansible way can be supported in node is enough?

Comment 5 Douglas Schilling Landgraf 2017-02-24 04:56:41 UTC
(In reply to dguo from comment #4)
> Douglas,
> 
> We need to clarify that whether the ansible 2.3 package will be build into
> rhvh4.1.1 from comment 3?
>

We will need to check.

> Besides, we wonder the customer's use scenario, ansible-playbook in 
> https://github.com/dougsland/misc-ovirt/blob/master/ansible/ will be
> documented  to customer, or we QE just test this ansible way can be
> supported in node is enough?

Probably both, I can see at least two scenarios for justifying the tests/documentation of registration:

#1 Users already use ansible for others automation tasks in their environment.
   Based on that, they would like to use ansible to automate rhv deploy.

#2 Users would like to automate their install/registration/approval/manage rhv/
   of several hundreds servers by kickstart and ansible.

Comment 6 Sandro Bonazzola 2017-03-27 06:54:36 UTC
ansible 2.3 not yet available,postponing to 4.1.2

Comment 8 dguo 2017-11-08 10:44:40 UTC
Verified on latest build rhvh-4.2-0.20171102.0

Test version:
redhat-release-virtualization-host-4.2-0.4.el7.x86_64
RHVM: 4.2.0-0.4.master.el7
vdsm-4.20.6-1.el7ev.x86_64
ansible-2.4.0.0-5.el7.noarch

Test steps:
1. Install rhvh via pxe
2. Download files from Description, change the files with proper credentials.
3. Register the host
$ ansible-playbook register-hosts.yml

Test results:
1. After step#3, rhvh is added to engine successfully, status is up.

Comment 11 cshao 2018-04-24 05:53:54 UTC
Re-verify this bug according #c8.

Comment 14 errata-xmlrpc 2018-05-15 17:57:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1524

Comment 15 Franta Kust 2019-05-16 13:09:00 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.